Name: autoconf-archive
Version: 2019.01.06
Release: alt1
Summary: The Autoconf Macro Archive

Group: Development/Other
License: GPLv3+ with exceptions
URL: http://www.gnu.org/software/autoconf-archive/
# git://git.sv.gnu.org/autoconf-archive.git 
Source: %name-%version.tar
Source2: AUTHORS
Patch: %name-%version-%release.patch
BuildArch: noarch

BuildRequires: gnulib python-modules
# explicitly added texinfo for info files
BuildRequires: texinfo

%description
The GNU Autoconf Archive is a collection of more than 450 macros for
GNU Autoconf that have been contributed as free software by friendly
supporters of the cause from all over the Internet.

%prep
%setup -q
%patch -p1

# Use fresh bootstrap from gnulib
mkdir build-aux
install -pm755 %_datadir/gnulib/build-aux/git-version-gen ./build-aux/
install -pm644 %SOURCE2 ./
touch ChangeLog

# Build scripts expect to find the autoconf-archive version in this file.
echo -n %version > .tarball-version

%build
# %autoreconf
./bootstrap.sh
%configure
%make maintainer-all
%make_build

%install
%makeinstall

# remove dir file which will be generated by /sbin/install-info
rm -f %buildroot%_infodir/dir
# document files are installed another location
rm -rf %buildroot%_datadir/%name

%files
%doc AUTHORS COPYING* NEWS README TODO
%_datadir/aclocal/*.m4
%_infodir/autoconf-archive.info*

%changelog
* Thu Feb 07 2019 Alexey Shabalin <shaba@altlinux.org> 2019.01.06-alt1
- 2019.01.06

* Tue Apr 10 2018 Alexey Shabalin <shaba@altlinux.ru> 2018.03.13-alt1
- 2018.03.13

* Fri Nov 10 2017 Alexey Shabalin <shaba@altlinux.ru> 2017.09.28-alt1
- 2017.09.28

* Fri Dec 30 2016 Alexey Shabalin <shaba@altlinux.ru> 2016.09.16-alt1
- 2016.09.16

* Mon Apr 25 2016 Alexey Shabalin <shaba@altlinux.ru> 2016.03.20-alt1
- 2016.03.20

* Thu Dec 03 2015 Igor Vlasenko <viy@altlinux.ru> 2015.02.24-alt1.1
- NMU: added BR: texinfo

* Mon May 18 2015 Alexey Shabalin <shaba@altlinux.ru> 2015.02.24-alt1
- 2015.02.24

* Fri Mar 14 2014 Alexey Shabalin <shaba@altlinux.ru> 2014.02.28-alt1
- 2014.02.28

* Wed Oct 24 2012 Alexey Shabalin <shaba@altlinux.ru> 2012.09.08-alt1
- 2012.09.08

* Mon Sep 03 2012 Alexey Shabalin <shaba@altlinux.ru> 2012.04.07-alt1
- initial build
